Question: map with bwa-mem error
0
gravatar for Marc
2.8 years ago by
Marc30
United Kingdom
Marc30 wrote:

Could not determine BWA version Traceback (most recent call last): File "/Users/shed_tools/toolshed.g2.bx.psu.edu/repos/crs4/bwa_mem/ebb02ba5987c/bwa_mem/bwa_mem.py", line 262, in <module> __main__() File "/Users/yihui/Desktop/shed_

when I try to run my local galaxy to use this tool(Map with BWA-MEM), I run into this problem. Does anyone know how to fix it?

bwa galaxy map • 1.0k views
ADD COMMENTlink modified 2.8 years ago by Jennifer Hillman Jackson24k • written 2.8 years ago by Marc30
0
gravatar for Jennifer Hillman Jackson
2.8 years ago by
United States
Jennifer Hillman Jackson24k wrote:

Hello,

When you installed from the Tool Shed, did you use "managed dependencies" within the admin tool forms? Have you double checked the list of installed tools to see if there were any problems/the install was complete?

I realize that these seem obvious, but are sometimes easy to miss, especially if you have installed many tools.

The error is not exactly clear - but please be aware that this tool requires reference genomes and indexes to function. There are Data Managers in the Tool Shed for these functions. Be sure to create SAM indexes for every genome - many tools/functions reply on that content.

Thanks and let us know if this extra info does not help. We will need more details about your instance and the full error report/log to diagnose this further. Best, Jen, Galaxy team

 

ADD COMMENTlink written 2.8 years ago by Jennifer Hillman Jackson24k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 79 users visited in the last hour